﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{BB8CF8F9-9656-4B1E-8642-3F4831246061}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>GitLab.NET</RootNamespace>
    <AssemblyName>GitLab.NET</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <TargetFrameworkProfile />
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <DocumentationFile>bin\Debug\GitLab.NET.xml</DocumentationFile>
    <RunCodeAnalysis>false</RunCodeAnalysis>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <DebugSymbols>true</DebugSymbols>
    <DocumentationFile>bin\Release\GitLab.NET.xml</DocumentationFile>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="RestSharp, Version=105.2.3.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\packages\RestSharp.105.2.3\lib\net45\RestSharp.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Web.Extensions" />
    <Reference Include="ConfigureAwait">
      <HintPath>..\packages\ConfigureAwait.Fody.1.0.0\lib\portable-net45+wp8+win+wpa81\ConfigureAwait.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Abstractions\ClientFactory.cs" />
    <Compile Include="Abstractions\IClientFactory.cs" />
    <Compile Include="Abstractions\IRequest.cs" />
    <Compile Include="Abstractions\IRequestFactory.cs" />
    <Compile Include="Abstractions\Method.cs" />
    <Compile Include="Abstractions\Request.cs" />
    <Compile Include="Abstractions\RequestFactory.cs" />
    <Compile Include="AccessLevel.cs" />
    <Compile Include="BuildStatus.cs" />
    <Compile Include="Helpers\ArrayToCommaSeparatedHelper.cs" />
    <Compile Include="Helpers\EnumDisplayAttributes.cs" />
    <Compile Include="MergeRequestState.cs" />
    <Compile Include="MergeRequestStateEvent.cs" />
    <Compile Include="OrderBy.cs" />
    <Compile Include="IssueState.cs" />
    <Compile Include="LineType.cs" />
    <Compile Include="MilestoneState.cs" />
    <Compile Include="MilestoneStateEvent.cs" />
    <Compile Include="Repositories\BranchRepository.cs" />
    <Compile Include="Repositories\BuildRepository.cs" />
    <Compile Include="Repositories\BuildTriggerRepository.cs" />
    <Compile Include="Repositories\BuildVariableRepository.cs" />
    <Compile Include="Repositories\CommitRepository.cs" />
    <Compile Include="Repositories\DeployKeyRepository.cs" />
    <Compile Include="Repositories\EmailRepository.cs" />
    <Compile Include="GitLabClient.cs" />
    <Compile Include="Config.cs" />
    <Compile Include="Repositories\FileRepository.cs" />
    <Compile Include="Repositories\GitLabSettingsRepository.cs" />
    <Compile Include="Repositories\IssueRepository.cs" />
    <Compile Include="Repositories\MergeRequestRepository.cs" />
    <Compile Include="Repositories\MilestoneRepository.cs" />
    <Compile Include="Repositories\ProjectRepository.cs" />
    <Compile Include="Repositories\RunnerRepository.cs" />
    <Compile Include="Repositories\TagRepository.cs" />
    <Compile Include="ResponseModels\Branch.cs" />
    <Compile Include="ResponseModels\Build.cs" />
    <Compile Include="ResponseModels\BuildArtifact.cs" />
    <Compile Include="ResponseModels\Comment.cs" />
    <Compile Include="ResponseModels\GitLabSettings.cs" />
    <Compile Include="ResponseModels\Group.cs" />
    <Compile Include="ResponseModels\MergeRequest.cs" />
    <Compile Include="ResponseModels\Project.cs" />
    <Compile Include="ResponseModels\Runner.cs" />
    <Compile Include="ResponseModels\UserPreview.cs" />
    <Compile Include="ResponseModels\Commit.cs" />
    <Compile Include="ResponseModels\CommitComment.cs" />
    <Compile Include="ResponseModels\CommitStatus.cs" />
    <Compile Include="ResponseModels\Issue.cs" />
    <Compile Include="ResponseModels\Milestone.cs" />
    <Compile Include="ResponseModels\Release.cs" />
    <Compile Include="ResponseModels\RepositoryFile.cs" />
    <Compile Include="ResponseModels\Tag.cs" />
    <Compile Include="Authenticators\IPrivateTokenAuthenticator.cs" />
    <Compile Include="Repositories\KeyRepository.cs" />
    <Compile Include="Repositories\GitLabLicenseRepository.cs" />
    <Compile Include="Repositories\LabelRepository.cs" />
    <Compile Include="Repositories\LicenseRepository.cs" />
    <Compile Include="Repositories\NamespaceRepository.cs" />
    <Compile Include="Repositories\ProjectSnippetRepository.cs" />
    <Compile Include="Repositories\RepositoryBase.cs" />
    <Compile Include="PaginatedResult.cs" />
    <Compile Include="Repositories\RepositoryRepository.cs" />
    <Compile Include="RequestResult.cs" />
    <Compile Include="ResponseModels\BuildTrigger.cs" />
    <Compile Include="ResponseModels\BuildVariable.cs" />
    <Compile Include="ResponseModels\DeployKey.cs" />
    <Compile Include="ResponseModels\EmailAddress.cs" />
    <Compile Include="ResponseModels\Identity.cs" />
    <Compile Include="ResponseModels\GitLabLicense.cs" />
    <Compile Include="ResponseModels\Label.cs" />
    <Compile Include="ResponseModels\License.cs" />
    <Compile Include="ResponseModels\Licensee.cs" />
    <Compile Include="ResponseModels\Namespace.cs" />
    <Compile Include="ResponseModels\ProjectSnippet.cs" />
    <Compile Include="ResponseModels\ProjectSnippetAuthor.cs" />
    <Compile Include="ResponseModels\RepositoryComparison.cs" />
    <Compile Include="ResponseModels\RepositoryContributor.cs" />
    <Compile Include="ResponseModels\CommitDiff.cs" />
    <Compile Include="ResponseModels\RepositoryTreeItem.cs" />
    <Compile Include="ResponseModels\SshKey.cs" />
    <Compile Include="ResponseModels\SystemHook.cs" />
    <Compile Include="ResponseModels\SystemHookEvent.cs" />
    <Compile Include="ResponseModels\User.cs" />
    <Compile Include="RunnerScope.cs" />
    <Compile Include="SortOrder.cs" />
    <Compile Include="IssueStateEvent.cs" />
    <Compile Include="VisibilityLevel.cs" />
    <Compile Include="Authenticators\PrivateTokenAuthenticator.cs" />
    <Compile Include="Repositories\SessionRepository.cs" />
    <Compile Include="Repositories\SystemHookRepository.cs" />
    <Compile Include="Repositories\UserRepository.cs" />
    <Compile Include="Abstractions\RestRequest.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="FodyWeavers.xml" />
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <Import Project="..\packages\Fody.1.29.4\build\dotnet\Fody.targets" Condition="Exists('..\packages\Fody.1.29.4\build\dotnet\Fody.targets')" />
  <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
    <PropertyGroup>
      <ErrorText>This project references NuGet package(s) that are missing on this computer. Use NuGet Package Restore to download them.  For more information, see http://go.microsoft.com/fwlink/?LinkID=322105. The missing file is {0}.</ErrorText>
    </PropertyGroup>
    <Error Condition="!Exists('..\packages\Fody.1.29.4\build\dotnet\Fody.targets')" Text="$([System.String]::Format('$(ErrorText)', '..\packages\Fody.1.29.4\build\dotnet\Fody.targets'))" />
  </Target>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>